CURLOPT_PROXY_SSLCERTTYPE(3)

NAME
CURLOPT_PROXY_SSLCERTTYPE - specify type of the proxy client SSL certificate

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXY_SSLCERTTYPE, char *type);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. The string should be the format of your client certificate used when connecting to a HTTPS proxy. Supported formats are "PEM" and "DER", except with Secure Transport. OpenSSL (versions 0.9.3 and later) and Secure Transport (on iOS 5 or later, or OS X 10.7 or later) also support "P12" for PKCS#12-encoded files.

DEFAULT
"PEM"

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.52.0 If built TLS enabled.

RETURN VALUE
Returns CURLE_OK if TLS is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY_SSLCERT(3), CURLOPT_PROXY_SSLKEY(3), CURLOPT_SSLCERTTYPE(3),